package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElExam;

/**
 * 考试Mapper接口
 *
 * @author ssy
 * @date 2024-05-29
 */
public interface TElExamMapper
{
    /**
     * 查询考试
     *
     * @param examId 考试ID
     * @return 考试
     */
    public TElExam selectTElExamById(Long examId);

    /**
     * 查询考试列表
     *
     * @param tElExam 考试
     * @return 考试集合
     */
    public List<TElExam> selectTElExamList(TElExam tElExam);

    /**
     * 新增考试
     *
     * @param tElExam 考试
     * @return 结果
     */
    public int insertTElExam(TElExam tElExam);

    /**
     * 修改考试
     *
     * @param tElExam 考试
     * @return 结果
     */
    public int updateTElExam(TElExam tElExam);

    /**
     * 删除考试
     *
     * @param examId 考试ID
     * @return 结果
     */
    public int deleteTElExamById(Long examId);

    /**
     * 批量删除考试
     *
     * @param examIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElExamByIds(Long[] examIds);
}
